Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1589 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs

  [Debian] Dépendances

 


 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

[Debian] Dépendances

n°121624
Xavier_OM
Monarchiste régicide (fr quoi)
Posté le 06-07-2002 à 10:47:20  profilanswer
 

Xavier:/home/xav# apt-get install klisa
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these:
Sorry, but the following packages have unmet dependencies:
  kdelibs3: Depends: xbase-clients but it is not going to be installed
  nethack-common: Depends: xbase-clients (>= 3.3.3.1-5) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
 
 
alors je fais un ptit apt-get -f install et hop :
 
 
Xavier:/home/xav# apt-get -f install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
  xbase-clients
The following NEW packages will be installed:
  xbase-clients
0 packages upgraded, 1 newly installed, 0 to remove and 0  not upgraded.
22 packages not fully installed or removed.
Need to get 0B/1455kB of archives. After unpacking 3981kB will be used.
Do you want to continue? [Y/n] y
(Reading database ... 41788 files and directories currently installed.)
Unpacking xbase-clients (from .../xbase-clients_4.1.0-16_i386.deb) ...
ERROR: /etc/X11/xkb/xkbcomp exists and is not a symbolic link.  This package
cannot be installed until this file is removed.
Aborting installation of xbase-clients package.
dpkg: error processing /var/cache/apt/archives/xbase-clients_4.1.0-16_i386.deb (--unpack):
 subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/xbase-clients_4.1.0-16_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
 
bon je précise que c'est une distrib woody qui a été installé super light (80mo) et j'ai rajouté XFree 4.2 et KDE3.02 en compilant les sources, donc ca vient surement de là. Y a-t-il une solution ? Parce que sinon tout marche bien.
 
 :hello:  
 
PS : Kernel 2.4.18


---------------
Il y a autant d'atomes d'oxygène dans une molécule d'eau que d'étoiles dans le système solaire.
mood
Publicité
Posté le 06-07-2002 à 10:47:20  profilanswer
 

n°121643
911GT3
en roue libre
Posté le 06-07-2002 à 11:29:32  profilanswer
 

Citation :

ERROR: /etc/X11/xkb/xkbcomp exists and is not a symbolic link.  This package
cannot be installed until this file is removed.


 
C'est dit explicitement ;)
 
sinon je crois que tu essayer avec un apt-get install --force-overwrite ... mais c'est gruik.

n°121645
Xavier_OM
Monarchiste régicide (fr quoi)
Posté le 06-07-2002 à 11:32:11  profilanswer
 

j'ai vu, mais ce file si je le remove y a pas un risque que je casse tout mon bo X ??? bon jvais le move on verra bien. Sinon  toute méthode PORKZ (a fortiori grouik)  :love:  :D


---------------
Il y a autant d'atomes d'oxygène dans une molécule d'eau que d'étoiles dans le système solaire.
n°121647
911GT3
en roue libre
Posté le 06-07-2002 à 11:35:07  profilanswer
 

pour des problèmes de dépendances, le plus efficace est d'installer XFree depuis le .deb et d'écraser avec une version perso/optimisée et pas l'inverse ;)

n°121652
Xavier_OM
Monarchiste régicide (fr quoi)
Posté le 06-07-2002 à 11:52:03  profilanswer
 

je sais bien mais après avoir merdé mon install et m'être retrouvé sans rien ou presque, je me suis dis quitte à choisir un XFree autant installer le dernier, et idem pour KDE3.
 
Mais c'est sur que pour les dep j'aurai du apt-getiser tout, puis updater (mais l'update de XFree/KDE je le sentais pas trop)
 
sinon pour klisa ca marche bien maintenant que j'ai mv le file, j'espère que je peux encore demarrer X =)


---------------
Il y a autant d'atomes d'oxygène dans une molécule d'eau que d'étoiles dans le système solaire.

Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs

  [Debian] Dépendances

 

Sujets relatifs
[Debian Woody] Cherche bon viewer PDF[ DEBIAN ] pilote NVIDIA
installation de Eterm et pbm de dependances[DEBIAN] - Intégristes barbus, |337, femmes nues...
[neewbe debian]Package mplayer pour debian Woodydebian ou slackware?
du gnu debian dans une sauce apple melangez avec du freebsd et on a[Debian] probleme avec Xfree
[Debian] comment installer KDE 2 voir KDE3 si possible ?? 
Plus de sujets relatifs à : [Debian] Dépendances


Copyright © 1997-2022 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR